# -*- coding: utf-8 -*-
import os, sys

from PySide import QtCore, QtGui
from PySide.QtUiTools import QUiLoader

CURRENT_DIR = os.path.abspath(os.path.dirname(__file__))

class GUI(QtGui.QMainWindow):
    """Main Window Class for Create Test Goemetry"""

    _defWidth  = 600
    _defHeight = 200
    _windowName  = "createTestModel"
    _windowTitle = "Create Test Model"

    UI_FILE = CURRENT_DIR + "/ui/gui.ui"

    def __init__(self, parent=None):
        super(GUI, self).__init__(parent)

        loader = QUiLoader()
        self.UI = loader.load(self.UI_FILE)
        self.setWindowTitle(self._windowTitle)
        self.setObjectName(self._windowName)
        self.setCentralWidget(self.UI)

        self.resize(self._defWidth, self._defHeight)

        self.initUI()


    def initUI(self):
        self.UI.pushButton.setText("Create Test Geo")
        self.setSignals()


    def setSignals(self):
        self.UI.pushButton.clicked.connect(self.createTestHip)


    def createTestHip(self):
        filepath = self.UI.hipPathLineEdit.text().replace(os.path.sep, '/')

        geo = hou.node("/obj").createNode("geo")
        hou.node("/obj/geo1/file1").destroy()
        geo.createNode("testgeometry_rubbertoy")

        try:
            hou.hipFile.save(file_name=filepath)
        except:
            print "HIP File saving is failed. Check the path carefully."
            return


def main(*argv):
    app = QtGui.QApplication.instance()
    if app is None:
        app = QtGui.QApplication(sys.argv)

    app.setStyle('plastique')
    ui = GUI()
    ui.show()

    app.exec_()


if __name__ == '__main__':
    main(sys.argv[1:])
